Skip to content

List comments on a record

GET
/comments/{entityType}/{entityId}
curl --request GET \
--url https://app.buildworkpro.com/api/v1/comments/example/1 \
--header 'Authorization: Bearer <token>'

Returns the comment thread attached to a record. Requires access to the record itself — comments inherit the visibility of what they hang on.

entityType
required

Record type, e.g. project, bid, change_order.

string

Record type, e.g. project, bid, change_order.

entityId
required
integer

Comment thread

Media type application/json
object
data
required
Array<object>
object
id
required
integer
entityType
required
string
entityId
required
integer
userId
required
integer | null
content
required
string
parentId
required
integer | null
createdAt
required
Any of:
string
updatedAt
required
Any of:
string
Example generated
{
"data": [
{
"id": 1,
"entityType": "example",
"entityId": 1,
"userId": 1,
"content": "example",
"parentId": 1,
"createdAt": "example",
"updatedAt": "example"
}
]
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

Error

Media type application/problem+json
object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string
Example generated
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}